Richard Miles | 1 Sep 01:44 2011
Picon
Picon

Re: I need to set locale to "en_US"

Thanks Alexander. That worked. I set it in .bashrc which is sourced in ,profile

On Aug 31, 2011, at 3:59 PM, Alexander Hansen wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> On 8/31/11 6:47 PM, Richard Miles wrote:
>> How can I set Locale to “en_US”. It is now “ja_JP.UTF-8” I want 
>> english not japanese. I have tried eveything I can think of. It 
>> never changes. I am in Mac OS X 10.6.8 intel imac. 32bit awaiting 
>> for your help. Thanks in advance.
>> 
>> Richard Miles r.godzilla <at> comcast.net
>> 
>> 
>> 
>> 
> 
> Ah, so that's what was causing your problem.  I was racking my brains
> trying to figure out what in Fink might manipulate the font settings.
> 
> If you do
> 
> printenv | grep ja_JP.UTF-8
> 
> that may show what environment variable is set wrong.  It's probably
> "LANG", but let's be sure.
> 
> You can put
(Continue reading)

Remi Mommsen | 1 Sep 15:38 2011
Picon
Picon

Re: cernlib and fink

Hi,

On Aug 18, 2011, at 4:47 PM, Remi Mommsen wrote:

> Hi,
> 
> On Aug 18, 2011, at 1:52 AM, Alexander Hansen wrote:
> 
>> I'll address the remainder of the message to the cernlib maintainer,
>> since he would be the most likely one to know if, in fact, the package
>> is currently working properly on Lion.
> 
> paw is currently broken on Lion. I haven't had time to look into it. However, it runs fine under gdb, i.e. if
you do 'gdb pawX11', it works.

I just committed a new version of cernlib for Lion, which has a working paw. Instead of calling pawX11
directly, I call it via a wrapper (disableASLR) which I wrote myself. This wrapper spans the pawX11
executable similar to gdb with the memory randomization (ASLR) disabled.

Enjoy,
Remi

------------------------------------------------------------------------------
Special Offer -- Download ArcSight Logger for FREE!
Finally, a world-class log management solution at an even better 
price-free! And you'll get a free "Love Thy Logs" t-shirt when you
download Logger. Secure your free ArcSight Logger TODAY!
http://p.sf.net/sfu/arcsisghtdev2dev
_______________________________________________
Fink-users mailing list
(Continue reading)

fchan | 1 Sep 20:12 2011

Getting this error when installing pymol-py26

Hello,
I'm running Mac OS 10.6.8 with the current updates on a MacBook Pro and I got this error when I try to install pymol using fink:

[ -r /sw/fink/dists/stable/main/finkinfo/sci/pymol-py.patch ]
sed 's| <at> FINKPREFIX <at> |/sw|g' < /sw/fink/dists/stable/main/finkinfo/sci/pymol-py.patch | sed 's|python2.X|python2.6|g' | sed 's|pymol-py2X|pymol-py26|g' | patch -p1
patch: **** rejecting file name with ".." component: ../pynmr_0.37f_src/pmg_tk/startup/pynmr/Crmsd.i
### execution of sed failed, exit code 2
Removing runtime build-lock...
Removing build-lock package...
/sw/bin/dpkg-lockwait -r fink-buildlock-pymol-py26-1.2r2-2
(Reading database ... 40168 files and directories currently installed.)
Removing fink-buildlock-pymol-py26-1.2r2-2 ...
Failed: phase patching: pymol-py26-1.2r2-2 failed


What could be causing this failure in sed.

Thank you,
Frank Chan
------------------------------------------------------------------------------
Special Offer -- Download ArcSight Logger for FREE!
Finally, a world-class log management solution at an even better 
price-free! And you'll get a free "Love Thy Logs" t-shirt when you
download Logger. Secure your free ArcSight Logger TODAY!
http://p.sf.net/sfu/arcsisghtdev2dev
_______________________________________________
Fink-users mailing list
Fink-users <at> lists.sourceforge.net
List archive:
http://news.gmane.org/gmane.os.macosx.fink.user
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-users
Richard Miles | 1 Sep 20:49 2011
Picon
Picon

gnome menus have japanese descriptions

Somehow the gnome menus have Japanese descriptions. How do I set them to be english.
They used to be english, but now are Japanese?
I don’t know Japanese and need these menus in english.

Richard Miles
r.godzilla <at> comcast.net

------------------------------------------------------------------------------
Special Offer -- Download ArcSight Logger for FREE!
Finally, a world-class log management solution at an even better 
price-free! And you'll get a free "Love Thy Logs" t-shirt when you
download Logger. Secure your free ArcSight Logger TODAY!
http://p.sf.net/sfu/arcsisghtdev2dev
_______________________________________________
Fink-users mailing list
Fink-users <at> lists.sourceforge.net
List archive:
http://news.gmane.org/gmane.os.macosx.fink.user
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-users

Alexander Hansen | 2 Sep 13:23 2011
Picon

Re: gnome menus have japanese descriptions


On 9/1/11 2:49 PM, Richard Miles wrote:
> Somehow the gnome menus have Japanese descriptions. How do I set 
> them to be english. They used to be english, but now are Japanese?
>  I don’t know Japanese and need these menus in english.
> 
> Richard Miles r.godzilla <at> comcast.net
> 
> 
> 
> 

I'm surprised that your .bashrc isn't passing your LANG setting on to X11.

In any case, the GNOME menus are multilingual, and whatever got set up
for Japanese on your system is telling them to display in Japanese.
The best bet is to look for what's causing that.
--

-- 
Alexander Hansen, Ph.D.
Fink User Liaison
http://finkakh.wordpress.com/
andrew rappe | 2 Sep 17:39 2011
Picon

build fail kdebase4-runtime-x11-4.4.1-5 on PowerPC; can't find phononnamespace.h

Hi folks:
Thanks for all your help; past present and future.
I can build kdebase4-runtime-x11-4.4.1-5 on my x86 Macs but not on PowerPC.
(Same error multiple tries.)

Also include the following system information:
Package manager version: 0.31.0
Distribution version: selfupdate-rsync Thu Sep  1 10:37:00 2011, 10.5, powerpc
Trees: local/main stable/main stable/crypto unstable/main unstable/crypto
Xcode Version: 3.1.4-1

Setting runtime build-lock...
dpkg-deb -b /sw/src/fink.build/root-fink-buildlock-kdebase4-runtime-x11-4.4.1-5 /sw/src/fink.build
dpkg-deb: building package `fink-buildlock-kdebase4-runtime-x11-4.4.1-5' in `/sw/src/fink.build/fink-buildlock-kdebase4-runtime-x11-4.4.1-5_2011.09.01-13.26.08_darwin-powerpc.deb'.
(snip until the section relating to phononserver)
[ 54%] Built target fixhosturifilter
make -f phonon/kded-module/CMakeFiles/kded_phononserver_automoc.dir/build.make phonon/kded-module/CMakeFiles/kded_phononserver_automoc.dir/depend
cd /sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build &&
/sw/bin/cmake -E cmake_depends "Unix Makefiles"
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/phonon/kded-module
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module/CMakeFiles/kded_phononserver_automoc.dir/DependInfo.cmake --color=
Dependee
"/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module/CMakeFiles/kded_phononserver_automoc.dir/DependInfo.cmake"
is newer than depender "/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module/CMakeFiles/kded_phononserver_automoc.dir/depend.internal".
Dependee
"/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module/CMakeFiles/CMakeDirectoryInformation.cmake"
is newer than depender "/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module/CMakeFiles/kded_phononserver_automoc.dir/depend.internal".
Scanning dependencies of target kded_phononserver_automoc
make -f phonon/kded-module/CMakeFiles/kded_phononserver_automoc.dir/build.make phonon/kded-module/CMakeFiles/kded_phononserver_automoc.dir/build
cd
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module
&& /sw/opt/kde4/x11/bin/automoc4
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module/kded_phononserver_automoc.cpp
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/phonon/kded-module
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module
/sw/lib/qt4-x11/bin/moc /sw/bin/cmake
Generating
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module/moc_phononserver.cpp
from /sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/phonon/kded-module/phononserver.h
/sw/lib/qt4-x11/bin/moc
-I/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build
-I/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1
-I/sw/opt/kde4/x11/include -I/sw/opt/kde4/x11/include/KDE -I/sw/lib/qt4-x11/include/KDE
-I/sw/lib/qt4-x11/include -I/sw/lib/qt4-x11/include/QtXmlPatterns
-I/sw/lib/qt4-x11/include/QtXml -I/sw/lib/qt4-x11/include/QtWebKit
-I/sw/lib/qt4-x11/include/QtUiTools -I/sw/lib/qt4-x11/include/QtTest
-I/sw/lib/qt4-x11/include/QtSvg -I/sw/lib/qt4-x11/include/QtSql
-I/sw/lib/qt4-x11/include/QtScriptTools -I/sw/lib/qt4-x11/include/QtScript
-I/sw/lib/qt4-x11/include/QtOpenGL -I/sw/lib/qt4-x11/include/QtNetwork
-I/sw/lib/qt4-x11/include/QtMultimedia -I/sw/lib/qt4-x11/include/QtHelp
-I/sw/lib/qt4-x11/include/QtDesigner -I/sw/lib/qt4-x11/include/QtDBus
-I/sw/lib/qt4-x11/include/QtAssistant -I/sw/lib/qt4-x11/include/Qt3Support
-I/sw/lib/qt4-x11/include/QtGui -I/sw/lib/qt4-x11/include/QtCore
 -I/sw/lib/qt4-x11/include/Qt -I/sw/lib/qt4-x11/mkspecs/default -I/usr/include -I/sw/include
-DQT_NO_STL -DQT_NO_CAST_TO_ASCII -D_REENTRANT -DKDE_DEPRECATED_WARNINGS -o
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module/moc_phononserver.cpp /sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/phonon/kded-module/phononserver.h
/sw/bin/cmake -E cmake_progress_report /sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/CMakeFiles 
[ 54%] Built target kded_phononserver_automoc
make -f phonon/kded-module/CMakeFiles/kded_phononserver.dir/build.make phonon/kded-module/CMakeFiles/kded_phononserver.dir/depend
cd /sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build &&
/sw/bin/cmake -E cmake_depends "Unix Makefiles"
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/phonon/kded-module
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module/CMakeFiles/kded_phononserver.dir/DependInfo.cmake --color=
Dependee
"/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module/CMakeFiles/kded_phononserver.dir/DependInfo.cmake"
is newer than depender "/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module/CMakeFiles/kded_phononserver.dir/depend.internal".
Dependee
"/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module/CMakeFiles/CMakeDirectoryInformation.cmake"
is newer than depender "/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module/CMakeFiles/kded_phononserver.dir/depend.internal".
Scanning dependencies of target kded_phononserver
make -f phonon/kded-module/CMakeFiles/kded_phononserver.dir/build.make phonon/kded-module/CMakeFiles/kded_phononserver.dir/build
/sw/bin/cmake -E cmake_progress_report /sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/CMakeFiles 
[ 54%] Building CXX object phonon/kded-module/CMakeFiles/kded_phononserver.dir/kded_phononserver_automoc.o
cd
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module
&& /usr/bin/g++-4.2   -DMAKE_KDED_PHONONSERVER_LIB -DQT_NO_STL -DQT_NO_CAST_TO_ASCII
-D_REENTRANT -DKDE_DEPRECATED_WARNINGS -fno-common -Woverloaded-virtual -fvisibility=hidden
-fvisibility-inlines-hidden -O2 -g -DNDEBUG -DQT_NO_DEBUG -arch ppc -isysroot /
-mmacosx-version-min=10.5 -fPIC
-I/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module
-I/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/phonon/kded-module
-I/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1
-I/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build
-I/sw/opt/kde4/x11/include -I/sw/opt/kde4/x11/include/KDE -I/sw/lib/qt4-x11/include/KDE
-I/sw/lib/qt4-x11/include -I/sw/lib/qt4-x11/include/QtXmlPatterns
-I/sw/lib/qt4-x11/include/QtXml -I/sw/lib/qt4-x11/include/QtWebKit
 -I/sw/lib/qt4-x11/include/QtUiTools -I/sw/lib/qt4-x11/include/QtTest
-I/sw/lib/qt4-x11/include/QtSvg -I/sw/lib/qt4-x11/include/QtSql
-I/sw/lib/qt4-x11/include/QtScriptTools -I/sw/lib/qt4-x11/include/QtScript
-I/sw/lib/qt4-x11/include/QtOpenGL -I/sw/lib/qt4-x11/include/QtNetwork
-I/sw/lib/qt4-x11/include/QtMultimedia -I/sw/lib/qt4-x11/include/QtHelp
-I/sw/lib/qt4-x11/include/QtDesigner -I/sw/lib/qt4-x11/include/QtDBus
-I/sw/lib/qt4-x11/include/QtAssistant -I/sw/lib/qt4-x11/include/Qt3Support
-I/sw/lib/qt4-x11/include/QtGui -I/sw/lib/qt4-x11/include/QtCore
-I/sw/lib/qt4-x11/include/Qt -I/sw/lib/qt4-x11/mkspecs/default -I/sw/include  
 -D__APPLE_KDE__ -D_LARGEFILE64_SOURCE -o
CMakeFiles/kded_phononserver.dir/kded_phononserver_automoc.o -c /sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module/kded_phononserver_automoc.cpp
/sw/bin/cmake -E cmake_progress_report
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/CMakeFiles 31
[ 56%] Building CXX object phonon/kded-module/CMakeFiles/kded_phononserver.dir/phononserver.o
cd
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module
&& /usr/bin/g++-4.2   -DMAKE_KDED_PHONONSERVER_LIB -DQT_NO_STL -DQT_NO_CAST_TO_ASCII
-D_REENTRANT -DKDE_DEPRECATED_WARNINGS -fno-common -Woverloaded-virtual -fvisibility=hidden
-fvisibility-inlines-hidden -O2 -g -DNDEBUG -DQT_NO_DEBUG -arch ppc -isysroot /
-mmacosx-version-min=10.5 -fPIC
-I/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module
-I/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/phonon/kded-module
-I/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1
-I/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build
-I/sw/opt/kde4/x11/include -I/sw/opt/kde4/x11/include/KDE -I/sw/lib/qt4-x11/include/KDE
-I/sw/lib/qt4-x11/include -I/sw/lib/qt4-x11/include/QtXmlPatterns
-I/sw/lib/qt4-x11/include/QtXml -I/sw/lib/qt4-x11/include/QtWebKit
 -I/sw/lib/qt4-x11/include/QtUiTools -I/sw/lib/qt4-x11/include/QtTest
-I/sw/lib/qt4-x11/include/QtSvg -I/sw/lib/qt4-x11/include/QtSql
-I/sw/lib/qt4-x11/include/QtScriptTools -I/sw/lib/qt4-x11/include/QtScript
-I/sw/lib/qt4-x11/include/QtOpenGL -I/sw/lib/qt4-x11/include/QtNetwork
-I/sw/lib/qt4-x11/include/QtMultimedia -I/sw/lib/qt4-x11/include/QtHelp
-I/sw/lib/qt4-x11/include/QtDesigner -I/sw/lib/qt4-x11/include/QtDBus
-I/sw/lib/qt4-x11/include/QtAssistant -I/sw/lib/qt4-x11/include/Qt3Support
-I/sw/lib/qt4-x11/include/QtGui -I/sw/lib/qt4-x11/include/QtCore
-I/sw/lib/qt4-x11/include/Qt -I/sw/lib/qt4-x11/mkspecs/default -I/sw/include  
 -D__APPLE_KDE__ -D_LARGEFILE64_SOURCE -o CMakeFiles/kded_phononserver.dir/phononserver.o -c
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/phonon/kded-module/phononserver.cpp
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/phonon/kded-module/phononserver.cpp:21:29:
error: phononnamespace.h: No such file or
directory
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/phonon/kded-module/phononserver.cpp:60:43:
error: missing binary operator before token "("
make[2]: *** [phonon/kded-module/CMakeFiles/kded_phononserver.dir/phononserver.o] Error 1
make[1]: *** [phonon/kded-module/CMakeFiles/kded_phononserver.dir/all] Error 2
make: *** [all] Error 2
### execution of /var/tmp/tmp.5.ncJY3u failed, exit code 2
Removing runtime build-lock...
Removing build-lock package...
/sw/bin/dpkg-lockwait -r fink-buildlock-kdebase4-runtime-x11-4.4.1-5
(Reading database ... 313834 files and directories currently installed.)
Removing fink-buildlock-kdebase4-runtime-x11-4.4.1-5 ...
Updating the list of locally available binary packages.
(snip)

FWIW, I found nearly the same error pasted on the internet:  http://paste.lisp.org/display/124314
(but that URL shows the failure with x86--my x86 built this package with no problems.  I only have problems
with PowerPC build)

And  I do have the phonon packages built:
dpkg -l|grep phonon
ii  phonon-mac     4.5.0-6        Qt-based multimedia framework
ii  phonon-mac-bac 4.5.0-1        Wrapper package to choose a Phonon backend
ii  phonon-mac-bac 4.5.1-1        Phonon GStreamer backend (mac)
ii  phonon-mac-shl 4.5.0-6        Shared libraries for Phonon
ii  phonon-x11     4.5.0-6        Qt-based multimedia framework
ii  phonon-x11-bac 4.5.0-1        Wrapper package to choose a Phonon backend
ii  phonon-x11-bac 4.5.1-1        Phonon GStreamer backend (x11)
ii  phonon-x11-shl 4.5.0-6        Shared libraries for Phonon

And the phonon packages do contain phononnamespace.h:
dpkg -S phononnamespace.h
phonon-mac: /sw/lib/qt4-mac/include/phonon/experimental/phononnamespace.h
phonon-mac: /sw/lib/qt4-mac/include/phonon/phononnamespace.h
phonon-x11: /sw/lib/qt4-x11/include/phonon/phononnamespace.h
phonon-x11: /sw/lib/qt4-x11/include/phonon/experimental/phononnamespace.h
phonon-x11: /sw/lib/qt4-x11/lib/phonon.framework/Versions/4/Headers/phononnamespace.h
phonon-mac: /sw/lib/qt4-mac/lib/phonon.framework/Versions/4/Headers/phononnamespace.h

And md5sum's for the morbidly curious:
3cf27039d1f1eadbaf1160be62d3709a  /sw/lib/qt4-mac/include/phonon/experimental/phononnamespace.h
93363d47b9573af0894f16607c8f2b13  /sw/lib/qt4-mac/include/phonon/phononnamespace.h
93363d47b9573af0894f16607c8f2b13  /sw/lib/qt4-x11/include/phonon/phononnamespace.h
3cf27039d1f1eadbaf1160be62d3709a  /sw/lib/qt4-x11/include/phonon/experimental/phononnamespace.h
93363d47b9573af0894f16607c8f2b13  /sw/lib/qt4-x11/lib/phonon.framework/Versions/4/Headers/phononnamespace.h
93363d47b9573af0894f16607c8f2b13  /sw/lib/qt4-mac/lib/phonon.framework/Versions/4/Headers/phononnamespace.h

Thank you for any suggestions or advice.
Andrew

------------------------------------------------------------------------------
Special Offer -- Download ArcSight Logger for FREE!
Finally, a world-class log management solution at an even better 
price-free! And you'll get a free "Love Thy Logs" t-shirt when you
download Logger. Secure your free ArcSight Logger TODAY!
http://p.sf.net/sfu/arcsisghtdev2dev
_______________________________________________
Fink-users mailing list
Fink-users <at> lists.sourceforge.net
List archive:
http://news.gmane.org/gmane.os.macosx.fink.user
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-users

Richard Miles | 2 Sep 18:47 2011
Picon
Picon

Re: gnome menus have japanese descriptions

Language solved. I put a export LANG=en_US.UTF-8 just before calling gnome-session and it passed it thru.
I was puzzled by this, because all other window managers had english. Gnome setup is odd to say the least.
Thanks for your help.

On Sep 2, 2011, at 4:23 AM, Alexander Hansen wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> On 9/1/11 2:49 PM, Richard Miles wrote:
>> Somehow the gnome menus have Japanese descriptions. How do I set 
>> them to be english. They used to be english, but now are Japanese?
>> I don’t know Japanese and need these menus in english.
>> 
>> Richard Miles r.godzilla <at> comcast.net
>> 
>> 
>> 
>> 
> 
> I'm surprised that your .bashrc isn't passing your LANG setting on to X11.
> 
> In any case, the GNOME menus are multilingual, and whatever got set up
> for Japanese on your system is telling them to display in Japanese.
> The best bet is to look for what's causing that.
> - -- 
> Alexander Hansen, Ph.D.
> Fink User Liaison
> http://finkakh.wordpress.com/
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.11 (Darwin)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
> 
> iEYEARECAAYFAk5gvLAACgkQB8UpO3rKjQ/fUQCfaWG9ZRrD7EM1z/D91ntRfuO0
> KUcAnj4s/mtjE/Y23JCXnuqNBOB8tZhg
> =obWf
> -----END PGP SIGNATURE-----

Richard Miles
r.godzilla <at> comcast.net

------------------------------------------------------------------------------
Special Offer -- Download ArcSight Logger for FREE!
Finally, a world-class log management solution at an even better 
price-free! And you'll get a free "Love Thy Logs" t-shirt when you
download Logger. Secure your free ArcSight Logger TODAY!
http://p.sf.net/sfu/arcsisghtdev2dev
_______________________________________________
Fink-users mailing list
Fink-users <at> lists.sourceforge.net
List archive:
http://news.gmane.org/gmane.os.macosx.fink.user
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-users

Alexander Hansen | 2 Sep 18:51 2011
Picon

Re: build fail kdebase4-runtime-x11-4.4.1-5 on PowerPC; can't find phononnamespace.h


On 9/2/11 11:39 AM, andrew rappe wrote:
> Hi folks: Thanks for all your help; past present and future. I can 
> build kdebase4-runtime-x11-4.4.1-5 on my x86 Macs but not on 
> PowerPC. (Same error multiple tries.)
> 
> Also include the following system information: Package manager 
> version: 0.31.0 Distribution version: selfupdate-rsync Thu Sep  1 
> 10:37:00 2011, 10.5, powerpc Trees: local/main stable/main 
> stable/crypto unstable/main unstable/crypto Xcode Version: 3.1.4-1
> 
> [ 56%] Building CXX object 
> phonon/kded-module/CMakeFiles/kded_phononserver.dir/phononserver.o
>  cd 
> /sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module
>
> 
&& /usr/bin/g++-4.2   -DMAKE_KDED_PHONONSERVER_LIB -DQT_NO_STL
> -DQT_NO_CAST_TO_ASCII -D_REENTRANT -DKDE_DEPRECATED_WARNINGS 
> -fno-common -Woverloaded-virtual -fvisibility=hidden 
> -fvisibility-inlines-hidden -O2 -g -DNDEBUG -DQT_NO_DEBUG -arch
> ppc -isysroot / -mmacosx-version-min=10.5 -fPIC 
> -I/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build/phonon/kded-module
>
> 
-
-I/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/phonon/kded-module
> -I/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1
>
> 
-
-I/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/build
> -I/sw/opt/kde4/x11/include -I/sw/opt/kde4/x11/include/KDE 
> -I/sw/lib/qt4-x11/include/KDE -I/sw/lib/qt4-x11/include 
> -I/sw/lib/qt4-x11/include/QtXmlPatterns 
> -I/sw/lib/qt4-x11/include/QtXml -I/sw/lib/qt4-x11/include/QtWebKit
>  -I/sw/lib/qt4-x11/include/QtUiTools 
> -I/sw/lib/qt4-x11/include/QtTest -I/sw/lib/qt4-x11/include/QtSvg 
> -I/sw/lib/qt4-x11/include/QtSql 
> -I/sw/lib/qt4-x11/include/QtScriptTools 
> -I/sw/lib/qt4-x11/include/QtScript 
> -I/sw/lib/qt4-x11/include/QtOpenGL 
> -I/sw/lib/qt4-x11/include/QtNetwork 
> -I/sw/lib/qt4-x11/include/QtMultimedia 
> -I/sw/lib/qt4-x11/include/QtHelp 
> -I/sw/lib/qt4-x11/include/QtDesigner 
> -I/sw/lib/qt4-x11/include/QtDBus 
> -I/sw/lib/qt4-x11/include/QtAssistant 
> -I/sw/lib/qt4-x11/include/Qt3Support 
> -I/sw/lib/qt4-x11/include/QtGui -I/sw/lib/qt4-x11/include/QtCore 
> -I/sw/lib/qt4-x11/include/Qt -I/sw/lib/qt4-x11/mkspecs/default 
> -I/sw/include    -D__APPLE_KDE__ -D_LARGEFILE64_SOURCE -o 
> CMakeFiles/kded_phononserver.dir/phononserver.o -c 
> /sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/phonon/kded-module/phononserver.cpp
>
>
> 
/sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/phonon/kded-module/phononserver.cpp:21:29:
error: phononnamespace.h: No such file or directory
> /sw/src/fink.build/kdebase4-runtime-x11-4.4.1-5/kdebase-runtime-4.4.1/phonon/kded-module/phononserver.cpp:60:43:
>
> 
error: missing binary operator before token "(" make[2]: ***
> [phonon/kded-module/CMakeFiles/kded_phononserver.dir/phononserver.o]
>
> 
Error 1 make[1]: ***
> [phonon/kded-module/CMakeFiles/kded_phononserver.dir/all] Error 2 
> make: *** [all] Error 2
]

> 
> FWIW, I found nearly the same error pasted on the internet: 
> http://paste.lisp.org/display/124314 (but that URL shows the 
> failure with x86--my x86 built this package with no problems.

And it was for the -mac variant.

I only have problems with PowerPC build)
> 
> And  I do have the phonon packages built: dpkg -l|grep phonon ii 
> phonon-mac     4.5.0-6        Qt-based multimedia framework ii 
> phonon-mac-bac 4.5.0-1        Wrapper package to choose a Phonon 
> backend ii  phonon-mac-bac 4.5.1-1        Phonon GStreamer backend 
> (mac) ii  phonon-mac-shl 4.5.0-6        Shared libraries for Phonon
> ii  phonon-x11     4.5.0-6        Qt-based multimedia framework ii
> phonon-x11-bac 4.5.0-1        Wrapper package to choose a Phonon
> backend ii  phonon-x11-bac 4.5.1-1        Phonon GStreamer backend
> (x11) ii  phonon-x11-shl 4.5.0-6        Shared libraries for
> Phonon
> 
> And the phonon packages do contain phononnamespace.h: dpkg -S 
> phononnamespace.h phonon-mac: 
> /sw/lib/qt4-mac/include/phonon/experimental/phononnamespace.h 
> phonon-mac: /sw/lib/qt4-mac/include/phonon/phononnamespace.h 
> phonon-x11: /sw/lib/qt4-x11/include/phonon/phononnamespace.h 
> phonon-x11: 
> /sw/lib/qt4-x11/include/phonon/experimental/phononnamespace.h 
> phonon-x11: 
> /sw/lib/qt4-x11/lib/phonon.framework/Versions/4/Headers/phononnamespace.h
>
>
> 
phonon-mac:
/sw/lib/qt4-mac/lib/phonon.framework/Versions/4/Headers/phononnamespace.h
> 
> And md5sum's for the morbidly curious: 
> 3cf27039d1f1eadbaf1160be62d3709a 
> /sw/lib/qt4-mac/include/phonon/experimental/phononnamespace.h 
> 93363d47b9573af0894f16607c8f2b13 
> /sw/lib/qt4-mac/include/phonon/phononnamespace.h 
> 93363d47b9573af0894f16607c8f2b13 
> /sw/lib/qt4-x11/include/phonon/phononnamespace.h 
> 3cf27039d1f1eadbaf1160be62d3709a 
> /sw/lib/qt4-x11/include/phonon/experimental/phononnamespace.h 
> 93363d47b9573af0894f16607c8f2b13 
> /sw/lib/qt4-x11/lib/phonon.framework/Versions/4/Headers/phononnamespace.h
>
>
> 
93363d47b9573af0894f16607c8f2b13
/sw/lib/qt4-mac/lib/phonon.framework/Versions/4/Headers/phononnamespace.h
> 
> 
> Thank you for any suggestions or advice. Andrew
> 

The person who made the lisppaste found that using "fink reinstall
phonon-mac phonon-mac-shlibs" solved his problem.  Try "fink reinstall
phonon-x11 phonon-x11-shlibs"

You may be missing a phononnamespace.h file, even though dpkg shows
it, due to deletion during the upgrade process--the Qt4 upgrade was a
bit messy.  It doesn't really have anything to do with the
architecture or even what graphics it uses.

--

-- 
Alexander Hansen, Ph.D.
Fink User Liaison
http://finkakh.wordpress.com/
William G. Scott | 2 Sep 21:34 2011

Re: Getting this error when installing pymol-py26

Hi Frank:

I think you need to make sure that "unstable" is being used and then issue the commands

fink selfupdate-cvs
fink update-all
fink install pymol-py27

I have to confess I have never used fink commander, so I don't know what the equivalent commands are from the GUI.

Bill

On Sep 2, 2011, at 12:30 PM, fchan wrote:

> Hi Bill,
> I'm getting this when I try to use fink to install pymol by command line:
> 
> 209:~ frank$ fink install pymol-py27-1.4-4
> Information about 4525 packages read in 0 seconds.
> no package found for "pymol-py27-1.4-4"
> Failed: no package found for specification 'pymol-py27-1.4-4'!
> 
> 209:~ frank$ fink install pymol-py27
> Information about 4525 packages read in 3 seconds.
> no package found for "pymol-py27"
> Failed: no package found for specification 'pymol-py27'!
> 
> 
> Here is what I get from fink project for pymol:
> http://pdb.finkproject.org/pdb/package.php/pymol-py27
> 
> I'm running Mac OS 10.6.8 on a MacBookPro. I have tried this using 
> fink commader which only shows pymol-25 & pymol-26.
> 
> Please tell me if I'm doing something wrong here.
> 
> Thank  you and have a nice weekend,
> Frank
> 
> 
>> Hi Frank:
>> 
>> It looks like you have an old version.  1.4 is what is current (rev. 
>> 8 for 10.7 and rev. 4 for the rest).
>> http://pdb.finkproject.org/pdb/package.php/pymol-py27
>> 
>> I probably need to update all of them to 1.4-8 for consistency, but 
>> 1.4-4 should compile ok.
>> 
>> I'm not sure what is going wrong with the patch in your case, but 
>> hopefully the simple fix is to update.
>> 
>> Bill
>> 
>> 
>> 
>> On Sep 1, 2011, at 11:12 AM, fchan wrote:
>> 
>>> Hello,
>>> I'm running Mac OS 10.6.8 with the current updates on a MacBook Pro
>>> and I got this error when I try to install pymol using fink:
>>> 
>>> [ -r /sw/fink/dists/stable/main/finkinfo/sci/pymol-py.patch ]
>>> sed 's| <at> FINKPREFIX <at> |/sw|g' <
>>> /sw/fink/dists/stable/main/finkinfo/sci/pymol-py.patch | sed
>>> 's|python2.X|python2.6|g' | sed 's|pymol-py2X|pymol-py26|g' | patch
>>> -p1
>>> patch: **** rejecting file name with ".." component:
>>> ../pynmr_0.37f_src/pmg_tk/startup/pynmr/Crmsd.i
>>> ### execution of sed failed, exit code 2
>>> Removing runtime build-lock...
>>> Removing build-lock package...
>>> /sw/bin/dpkg-lockwait -r fink-buildlock-pymol-py26-1.2r2-2
>>> (Reading database ... 40168 files and directories currently installed.)
>>> Removing fink-buildlock-pymol-py26-1.2r2-2 ...
>>> Failed: phase patching: pymol-py26-1.2r2-2 failed
>>> 
>>> 
>>> What could be causing this failure in sed.
>>> 
>>> Thank you,
>>> Frank Chan
> 

------------------------------------------------------------------------------
Special Offer -- Download ArcSight Logger for FREE!
Finally, a world-class log management solution at an even better 
price-free! And you'll get a free "Love Thy Logs" t-shirt when you
download Logger. Secure your free ArcSight Logger TODAY!
http://p.sf.net/sfu/arcsisghtdev2dev
_______________________________________________
Fink-users mailing list
Fink-users <at> lists.sourceforge.net
List archive:
http://news.gmane.org/gmane.os.macosx.fink.user
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-users

William G. Scott | 2 Sep 21:12 2011

Re: Getting this error when installing pymol-py26

Hi Frank:

It looks like you have an old version.  1.4 is what is current (rev. 8 for 10.7 and rev. 4 for the rest).
http://pdb.finkproject.org/pdb/package.php/pymol-py27

I probably need to update all of them to 1.4-8 for consistency, but 1.4-4 should compile ok.

I'm not sure what is going wrong with the patch in your case, but hopefully the simple fix is to update.

Bill

On Sep 1, 2011, at 11:12 AM, fchan wrote:

> Hello,
> I'm running Mac OS 10.6.8 with the current updates on a MacBook Pro 
> and I got this error when I try to install pymol using fink:
> 
> [ -r /sw/fink/dists/stable/main/finkinfo/sci/pymol-py.patch ]
> sed 's| <at> FINKPREFIX <at> |/sw|g' < 
> /sw/fink/dists/stable/main/finkinfo/sci/pymol-py.patch | sed 
> 's|python2.X|python2.6|g' | sed 's|pymol-py2X|pymol-py26|g' | patch 
> -p1
> patch: **** rejecting file name with ".." component: 
> ../pynmr_0.37f_src/pmg_tk/startup/pynmr/Crmsd.i
> ### execution of sed failed, exit code 2
> Removing runtime build-lock...
> Removing build-lock package...
> /sw/bin/dpkg-lockwait -r fink-buildlock-pymol-py26-1.2r2-2
> (Reading database ... 40168 files and directories currently installed.)
> Removing fink-buildlock-pymol-py26-1.2r2-2 ...
> Failed: phase patching: pymol-py26-1.2r2-2 failed
> 
> 
> What could be causing this failure in sed.
> 
> Thank you,
> Frank Chan

------------------------------------------------------------------------------
Special Offer -- Download ArcSight Logger for FREE!
Finally, a world-class log management solution at an even better 
price-free! And you'll get a free "Love Thy Logs" t-shirt when you
download Logger. Secure your free ArcSight Logger TODAY!
http://p.sf.net/sfu/arcsisghtdev2dev
_______________________________________________
Fink-users mailing list
Fink-users <at> lists.sourceforge.net
List archive:
http://news.gmane.org/gmane.os.macosx.fink.user
Subscription management:
https://lists.sourceforge.net/lists/listinfo/fink-users


Gmane